Package org.eclipse.net4j.util

## Class Predicates

- java.lang.Object
- - org.eclipse.net4j.util.Predicates

-     @Deprecated
      public final class Predicates
      extends java.lang.Object

  Deprecated.
  As of 3.10 use `Predicate`.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Predicates.ExcludedPredicate<T>` | Deprecated.
    `static class` | `Predicates.IncludedPredicate<T>` | Deprecated.
    `static class` | `Predicates.UniquePredicate<T>` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> Predicate<T>` | `alwaysFalse()` | Deprecated.
    `static <T> Predicate<T>` | `alwaysTrue()` | Deprecated.
    `static <T> Predicate<T>` | `excluded​(java.util.Set<T> exclusions)` | Deprecated.
    `static <T> Predicate<T>` | `fromJava8​(java.util.function.Predicate<T> from)` | Deprecated.
    `static <T> Predicate<T>` | `included​(java.util.Set<T> inclusions)` | Deprecated.
    `static <T> java.util.function.Predicate<T>` | `toJava8​(Predicate<T> from)` | Deprecated.
    `static <T> Predicate<T>` | `unique()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toJava8

          public static <T> java.util.function.Predicate<T> toJava8​(Predicate<T> from)

      Deprecated.
      Since:
        3.10

    - #### fromJava8

          public static <T> Predicate<T> fromJava8​(java.util.function.Predicate<T> from)

      Deprecated.
      Since:
        3.10

    - #### included

          public static <T> Predicate<T> included​(java.util.Set<T> inclusions)

      Deprecated.
      Since:
        3.4

    - #### excluded

          public static <T> Predicate<T> excluded​(java.util.Set<T> exclusions)

      Deprecated.
      Since:
        3.4

    - #### unique

          public static <T> Predicate<T> unique()

      Deprecated.
      Since:
        3.4

    - #### alwaysFalse

          public static <T> Predicate<T> alwaysFalse()

      Deprecated.

    - #### alwaysTrue

          public static <T> Predicate<T> alwaysTrue()

      Deprecated.